Kapitel 5. Paketmanagement
Zurück | 5.70 Installation von fremden Paketen | Weiter

## 5.70 Installation von fremden Paketen

Debian GNU/Linux verwendet ein eigenes Paketformat, das von keiner anderen Distribution (außer solchen, die auf Debian GNU/Linux basieren) verwendet wird. Natürlich sind aus diesem Grunde alle Programme zur Installation auf dieses Paketformat abgestimmt. Wir sind sicher, dass Sie alle benötigten Pakete in der Debian GNU/Linux-Distribution finden werden. Trotzdem zeigen wir Ihnen hier einen Weg, um fremde Pakete auf einem Debian GNU/Linux-System zu installieren. Dies kann auch zur Installation von kommerzieller Software nützlich sein, die häufig im `rpm`-Format vorliegt.

### 5.70.1 `alien`

Das Programm `alien` dient dazu, Pakete in fremden Formaten auf einem Debian GNU/Linux-System zu installieren. `alien` ist natürlich auf allen Linux-Distributionen lauffähig und kann alle verbreiteten Paketformate entpacken und in das Format der verwendeten Distribution konvertieren.

Natürlich gibt es bei solchen Konvertierungen manchmal Probleme. Das zu installierende Paket wird in den meisten Fällen Bibliotheken verwenden, die nicht zwingend auf dem Zielsystem vorhanden sind, oder eventuell nicht in der passenden Version vorliegen. Gegebenenfalls müssen Sie auch diese Bibliotheken via `alien` installieren. In den meisten Fällen geht die Installation aber problemlos über die Bühne.

`alien` hat eine Reihe von Optionen; eine Übersicht bekommen Sie, wenn Sie `alien` ohne weitere Optionen aufrufen.

    linux:/home/fr/rpm2deb# alien
    Usage: alien [options ...] file [...]
      file [...]                Package file or files to convert.
      -d, --to-deb              Generate a Debian deb package. (default)
         Enables the following options:
           --patch=<patch> Specify patch file to use instead of
                                 automatically looking for patch in
    			     /var/lib/alien.
           --nopatch	    Do not use patches.
      -r, --to-rpm              Generate a RedHat rpm package.
      -t, --to-tgz              Generate a Slackware tgz package.
          --to-slp              Generate a Stampede .slp package.
      -i, --install             Install generated package.
      -g, --generate            Unpack, but do not generate a new package.
      -s, --single              Like --generate, but do not create .orig
                                directory.
      -c, --scripts             Include scripts in package.
      -k, --keep-version        Do not change version of generated package.
          --description=<desc>  Specify package description.
      -h, --help                Display this help message.
      -v, --version		    Display alien's version number.

Die Benutzung von `alien` ist denkbar einfach. Im einfachsten Fall gibt man `alien` einfach den Namen des zu konvertierenden Pakets; `alien` erstellt dann daraus ein Paket mit der Endung `.deb`. Dieses können Sie dann wie jedes andere Paket unter Debian GNU/Linux installieren. Als Beispiel soll uns das Programm `pi-address` dienen. Wenn Sie über einen Palm-Pilot verfügen, sollten Sie das Debian-Paket nach dem Versuch nicht löschen; wir kommen später noch einmal darauf zurück.

    linux:/home/fr/rpm2deb# alien pilot-address-0.3.0-1.i386.rpm
    -- Examining pilot-address-0.3.0-1.i386.rpm
    -- Unpacking pilot-address-0.3.0-1.i386.rpm
    2813 blocks
    ----
    -- Automatic package debianization
    -- Building the package pilot-address_0.3.0-2_i386.deb
    dh_testdir
    # Nothing to do.
    dh_testdir
    dh_testroot
    dh_clean -k
    dh_installdirs
    cp -a `ls |grep -v debian` debian/tmp
    dh_installdocs
    dh_installexamples
    dh_installmenu
    dh_installcron
    dh_installchangelogs
    dh_compress
    dh_suidregister
    dh_installdeb
    dh_shlibdeps
    dh_gencontrol
    dh_makeshlibs
    dh_md5sums
    dh_builddeb
    dpkg-deb: building package `pilot-address' in
    `../pilot-address_0.3.0-2_i386.deb'.

    Generation of pilot-address_0.3.0-2_i386.deb complete.
    -- Successfully finished

    linux:/home/fr/rpm2deb# ls -l
    total 860
    -rw-r--r-- 1 root root 437258 Feb 2 16:22 pilot-address-0.3.0-1.i386.rpm
    -rw-r--r-- 1 root root 435982 Feb 2 16:23 pilot-address_0.3.0-2_i386.deb

Sie können beispielsweise ein RedHat/Fedora-Paket mit dem Kommando `alien paket.rpm` konvertieren; Sie erhalten dann ein Debian-Paket mit der Endung `.deb`. In diesem Beispiel würde die Datei also `paket.deb` heißen. Sie können dieses dann wie üblich mit `dpkg -i paket.deb` installieren.

Zurück | Nach oben | Weiter
5.69 Paketmanagement für Umsteiger | Zum Anfang | 5.71 Manuelles Entpacken von Debian-Paketen

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).